Name:           mygui
Version:        2.3.0
Release:        4.1861svn%{?dist}
Summary:        Fast, simple and flexible GUI for Ogre
Group:          Development/Libraries
# LGPLv3+ on most of the code
# Boost license used in MyGUI_Any.h
# UnitTests include agg-2.4, which is under a BSD variant (not built or installed here)
License:        LGPLv3+ and Boost
URL:            http://my-gui.sourceforge.net/
## tar creation instructions
# svn export -r 1861 https://my-gui.svn.sourceforge.net/svnroot/my-gui/trunk mygui
# tar cf mygui-2.3.0-1861svn.tar mygui
# xz mygui-2.3.0-1861svn.tar
Source0:        mygui-2.3.0-1861svn.tar.xz
# Helper to run demos, based on A. Torkhov Ogre-Samples shipped with ogre-samples
Source1:        MyGUI-Demos
Source2:        MyGUI-LayoutEditor
Source3:        MyGUI-ImageSetViewer
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake, autoconf, libtool, freetype-devel 
BuildRequires:  ois-devel, ogre-devel, doxygen, rpm >= 4.6.0
%if 0%{?fedora} < 12
BuildRequires:  e2fsprogs-devel
%else
BuildRequires:  libuuid-devel
%endif


Requires:       dejavu-sans-fonts

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast, 
flexible and simple in using. 

%package        devel
Summary:        Development files for mygui
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, ois-devel


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package demos
Summary:        Mygui demo executables and media
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description demos
This package contains the compiled (not the source) sample applications coming
with MYGUI.  It also contains some media (meshes, textures,...) needed by these
samples. The samples are installed in %{_libdir}/MYGUI/Demos, and an helper
script MyGUI-Demos is provided and installed in %{_bindir}.


%package tools
Summary:        Mygui tools 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains MYGUI tools: ImageSetViewer and LayoutEditor, installed
in %{_libdir}/MYGUI/Tools. Helper scripts MyGUI-ImageSetViewer and 
MyGUI-LayoutEditor are provided and installed in %{_bindir}.


%prep
%setup -q -n %{name}
sh bootstrap
# Fix eol 
sed -i 's/\r//' COPYING.LESSER
# Generate README for -tools and -demos
cat > Tools/README << EOT
This package contains MYGUI tools: ImageSetViewer and LayoutEditor.
EOT
cat > Demos/README << EOT
This package contains MYGUI demos; to run the demos, launch the
helper script %{_bindir}/MyGUI-Demos
EOT

%build
%configure
make %{?_smp_mflags}
# Generate doxygen documentation
pushd Docs
doxygen
rm -f html/installdox
popd


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install the samples 
mkdir -p %{buildroot}%{_libdir}/MYGUI/Demos 
cp -p Shared/linux/*.cfg %{buildroot}%{_libdir}/MYGUI/Demos
sed -i 's|^PluginFolder=.*$|PluginFolder=%{_libdir}/OGRE|' \
    %{buildroot}%{_libdir}/MYGUI/Demos/plugins.cfg
sed -i 's|^Zip=.*$|Zip=%{_datadir}/MYGUI/Media/Common/packs/OgreCore.zip|' \
    %{buildroot}%{_libdir}/MYGUI/Demos/resources.cfg
sed -i 's|^FileSystem=.*MyGUI_Media$|FileSystem=%{_datadir}/MYGUI/Media/MyGUI_Media|' \
    %{buildroot}%{_libdir}/MYGUI/Demos/resources.cfg
sed -i 's|^FileSystem=.*LayoutEditor$|FileSystem=%{_datadir}/MYGUI/Media/Tools/LayoutEditor|' \
    %{buildroot}%{_libdir}/MYGUI/Demos/resources.cfg
for file in Demos/Demo_*/.libs/Demo_* ; do
  install -Dp -m 755 $file %{buildroot}%{_libdir}/MYGUI/Demos/`basename $file`
done
mkdir -p %{buildroot}%{_bindir}
install -Dp -m 755 %{SOURCE1} %{buildroot}%{_bindir}

# Install the tools
mkdir -p %{buildroot}%{_libdir}/MYGUI/Tools
cp -p Shared/linux/*.cfg %{buildroot}%{_libdir}/MYGUI/Tools
sed -i 's|^PluginFolder=.*$|PluginFolder=%{_libdir}/OGRE|' \
    %{buildroot}%{_libdir}/MYGUI/Tools/plugins.cfg
sed -i 's|^Zip=.*$|Zip=%{_datadir}/MYGUI/Media/Common/packs/OgreCore.zip|' \
    %{buildroot}%{_libdir}/MYGUI/Tools/resources.cfg
sed -i 's|^FileSystem=.*MyGUI_Media$|FileSystem=%{_datadir}/MYGUI/Media/MyGUI_Media|' \
    %{buildroot}%{_libdir}/MYGUI/Tools/resources.cfg
sed -i 's|^FileSystem=.*LayoutEditor$|FileSystem=%{_datadir}/MYGUI/Media/Tools/LayoutEditor|' \
    %{buildroot}%{_libdir}/MYGUI/Tools/resources.cfg
for file in Tools/*/.libs/* ; do
  install -Dp -m 755 $file %{buildroot}%{_libdir}/MYGUI/Tools/`basename $file`
done
install -Dp -m 755 %{SOURCE2} %{buildroot}%{_bindir}
install -Dp -m 755 %{SOURCE3} %{buildroot}%{_bindir}

# Copy Media files
mkdir -p %{buildroot}%{_datadir}/MYGUI/
cp -a Media %{buildroot}%{_datadir}/MYGUI/

# Strip away unittests media and a code sample in media dir
rm -rf %{buildroot}%{_datadir}/MYGUI/Media/Tools/LayoutEditor/CodeTemplates/
rm -rf %{buildroot}%{_datadir}/MYGUI/Media/UnitTests

# Link fonts from dejavu package
ln -fs %{_datadir}/fonts/dejavu/DejaVuSans.ttf \
  %{buildroot}%{_datadir}/MYGUI/Media/MyGUI_Media/DejaVuSans.ttf
ln -fs %{_datadir}/fonts/dejavu/DejaVuSans-ExtraLight.ttf \
  %{buildroot}%{_datadir}/MYGUI/Media/MyGUI_Media/DejaVuSans-ExtraLight.ttf


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Readme.txt COPYING.LESSER
%{_libdir}/*.so.*
%dir %{_datadir}/MYGUI/Media
%{_datadir}/MYGUI/Media/Common
%{_datadir}/MYGUI/Media/MyGUI_Media
%{_datadir}/MYGUI/Media/*.layout


%files devel
%defattr(-,root,root,-)
%doc Docs/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%files demos
%defattr(-,root,root,-)
%doc Demos/README
%{_bindir}/MyGUI-Demos
%{_libdir}/MYGUI/Demos
%{_datadir}/MYGUI/Media/Demos


%files tools
%defattr(-,root,root,-)
%doc Tools/README
%{_bindir}/MyGUI-LayoutEditor
%{_bindir}/MyGUI-ImageSetViewer
%{_libdir}/MYGUI/Tools
%{_datadir}/MYGUI/Media/Tools


%changelog
* Sat Oct 03 2009 Guido Grazioli <guido.grazioli@gmail.cpm> - 2.3.0-4.1861svn
- Add BR: rpm >= 4.6.x

* Thu Oct 01 2009 Guido Grazioli <guido.grazioli@gmail.com> - 2.3.0-3.1861svn
- Improve package summary
- Provide scripts to run mygui tools

* Wed Sep 30 2009 Guido Grazioli <guido.grazioli@gmail.com> - 2.3.0-2.1861svn
- Add BR: libuuid-devel instead of BR: e2fsprogs-devel for F12+
- Fix License

* Tue Sep 29 2009 Guido Grazioli <guido.grazioli@gmail.com> - 2.3.0-1.1861svn
- Rename from libmygui to mygui
- Symlink fonts in media dir to dejavu-sans-fonts ones
- Add doxygen generated docs to -devel
- Provide a generic script to setup and run demos 
- Fix rpmlint warnings

* Mon Sep 28 2009 Guido Grazioli <guido.grazioli@gmail.com> - 2.3.0-0.1861svn
- Initial packaging
